# Gimp.Drawable.edit_stroke_item

    @accepts(Gimp.Drawable, Gimp.Item)
    @returns(bool)
    def edit_stroke_item(self, item):
        # Python wrapper for gimp_drawable_edit_stroke_item()

Stroke the specified item

This procedure strokes the specified item, painting along its outline (e.g. along a path, or along a channel's boundary), with the active paint method and brush, or using a plain line with configurable properties.

This procedure is affected by the following context setters: Gimp.context_set_opacity, Gimp.context_set_paint_mode, Gimp.context_set_paint_method, Gimp.context_set_stroke_method, Gimp.context_set_foreground, Gimp.context_set_brush and all brush property settings, Gimp.context_set_gradient and all gradient property settings, Gimp.context_set_line_width and all line property settings, Gimp.context_set_antialias.

Since 2.10

self

  The drawable to stroke to.

item

  The item to stroke.

Returns